Skip to main content
GET
/
transactions
List and filter transactions
curl --request GET \
  --url https://commerce1.on-hellgate.dev/transactions \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "amount": 123,
      "currency_code": "<string>",
      "finished_at": "2023-11-07T05:31:56Z",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "order_id": "<string>",
      "payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "payment_method_data": {},
      "started_at": "2023-11-07T05:31:56Z",
      "status": "PENDING",
      "type": "AUTHORIZE"
    }
  ],
  "next_page": 123,
  "previous_page": 123
}

Authorizations

X-API-Key
string
header
required

Headers

X-Account-ID
string

Identifies the account. Required when authenticating via mTLS — omit when using an API key (account is inferred from the key).

Query Parameters

finished_at_from
string<date-time>

Filter transactions finished at or after this date-time

finished_at_to
string<date-time>

Filter transactions finished at or before this date-time

page
integer

Page cursor for pagination

limit
integer

Maximum items per page

Response

Success

data
TransactionIndexResponse · object[]
next_page
integer
previous_page
integer